#!/bin/bash

# Configuration file path
CONFIG_FILE="$HOME/.config/cumbia-project-tools/user.conf"
TEMPLATE_CONFIG="$CUMBIA_INSTALL_ROOT/share/cumbia-project-tools/conf/user.conf"

if [[ -z "$CUMBIA_INSTALL_ROOT" ]]; then
    echo -e "\e[1;31mErr\e[0m: CUMBIA_INSTALL_ROOT not exported. Please"
    echo -e "export CUMBIA_INSTALL_ROOT=path/to/cumbia-libs"
    exit 1
fi

init_config() {
    local config_source="$CUMBIA_INSTALL_ROOT/share/cumbia-project-tools/conf/user.conf"
    local config_dest="$CONFIG_FILE"

    if [[ -f "$config_dest" ]]; then
        if [[ "$force_overwrite" == true ]]; then
            cp "$config_source" "$config_dest" \
            && echo "Configuration file overwritten at $config_dest" \
            && echo "Please personalize the file before continuing"
        else
            echo "Configuration file already exists at $config_dest."
            echo "Use -f to force overwrite."
            exit 1
        fi
    else
        if [[ -f "$config_source" ]]; then
            mkdir -p "$(dirname "$config_dest")"
            cp "$config_source" "$config_dest" \
            && echo "Configuration file initialized at $config_dest" \
            && echo "Please personalize the file before continuing"
        else
            echo "Configuration source file not found: $config_source"
            exit 1
        fi
    fi
    exit 0
}

