#!/bin/bash

python_test() {
    if [[ -z "$PYTHONPATH" ]]; then
        echo -e "\e[1;36m- \e[0m\e[4mPYTHONPATH\e[0m is currently empty"
    else
        echo -e "\e[1;36m  \e[0m\e[4mPYTHONPATH\e[0m --> \e[1;3m$PYTHONPATH\e[0m"
    fi

    err=0
    echo -e -n "[ \e[1;36mTEST\e[0m ] \e[3mfrom PyCumbia.Cumbia import Cumbia\e[0m ..."

    # 1. PyCumbia.Cumbia
    python -c "from PyCumbia.Cumbia import Cumbia" 2>/dev/null
    if [ $? -eq 0 ]; then
        echo -e "\r[ \e[1;32mSUCCESS\e[0m ] from PyCumbia.Cumbia import Cumbia"
        echo -e -n "[ \e[1;36mTEST\e[0m ] \e[3mfrom PyCumbia.QtControls import QuLabel, QuTrendPlot, QuSpectrumPlot, QuButton, CuContext\e[0m ..."
    # 2. PyCumbia.QtControls
        python -c "from PyCumbia.QtControls import QuLabel, QuTrendPlot, QuSpectrumPlot, QuButton, CuContext" 2>/dev/null
    else
        echo -e "\r[ \e[1;31mFAILED\e[0m ] from PyCumbia.Cumbia import Cumbia"
        err=1
    fi

    if [ $? -eq 0 ] && [ $err -eq 0 ]; then
        sleep 0.1 # fancy sleep and \r
        echo -e "\r[ \e[1;32mSUCCESS\e[0m ] from PyCumbia.QtControls import QuLabel, QuTrendPlot, QuSpectrumPlot, QuButton, CuContext"
        echo -e -n "[ \e[1;36mTEST\e[0m ] \e[3mfrom PyCumbia.Apps import CuModuleLoader\e[0m ..."
        python -c "from PyCumbia.Apps import CuModuleLoader" 2>/dev/null
    elif [ $err -eq 0 ]; then
        echo -e "\r[ \e[1;31mFAILED\e[0m ] from PyCumbia.QtControls import QuLabel, QuTrendPlot, QuSpectrumPlot, QuButton, CuContext"
        err=1
    fi
    if [ $? -eq 0 ] && [ $err -eq 0 ]; then
        sleep 0.1 # fancy sleep and \r
        echo -e "\r[ \e[1;32mSUCCESS\e[0m ] from PyCumbia.Apps import CuModuleLoader"
        echo -e -n "[ \e[1;36mTEST\e[0m ] \e[3mfrom PyCumbia.Plugins import Image\e[0m ..."
        python -c "from PyCumbia.Plugins import Image" 2>/dev/null
    elif [ $err -eq 0 ]; then
        echo -e "\r[ \e[1;31mFAILED\e[0m ] from PyCumbia.Apps import CuModuleLoader"
        err=1
    fi
    if [ $? -eq 0 ] && [ $err -eq 0 ]; then
        sleep 0.1 # fancy sleep and \r
        echo -e "\r[ \e[1;32mSUCCESS\e[0m ] from PyCumbia.Plugins import Image"
        echo -e -n "[ \e[1;36mTEST\e[0m ] \e[3mfrom PyCumbia.Plugins import Multireader\e[0m ..."
        python -c "from PyCumbia.Plugins import Multireader" 2>/dev/null
    elif [ $err -eq 0 ]; then
        echo -e -n "\r[ \e[1;31mFAILED\e[0m ] \e[3mfrom PyCumbia.Plugins import Image\e[0m"
        err=1
    fi


    if [ $? -eq 0 ] && [ $err -eq 0 ]; then
        sleep 0.1 # fancy sleep and \r
        echo -e "\r[ \e[1;32mSUCCESS\e[0m ] from PyCumbia.Plugins import Multireader"
    elif [ $err -eq 0 ]; then
        echo -e "\r[ \e[1;31mFAILED\e[0m ] from PyCumbia.Plugins import Multireader"
        err=1
    fi

    if [ $err -eq 0 ]; then
        echo -e "\e[1;32m*\e[0m some relevant \e[1;3mpycumbia\e[0m modules have been successfully loaded in the current python environment."
    else
        echo ""
        echo -e "\e[1;31m*\e[0m one or more \e[1;3mpycumbia\e[0m modules failed to load in the current python environment"
        echo -e "\e[1;31m*\e[0m you probably need to either adjust \e[1;3mPYTHONPATH\e[0m or activate the \e[1;3mconda\e[0m environment"
    fi
}
